%global commit0 d50b2a62baaacd5ab7e77ed33b3571edd0ee7830
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:       rbm
Version:    0.4
Release:    3.20151206git%{shortcommit0}%{?dist}
Summary:    Reproducible Build Manager
Group:      Development/Tools
License:    CC0
URL:        http://rbm.boklm.eu/
# Latest 0.4 release is very old, use git snapshot,
# <https://github.com/boklm/rbm/issues/2>
Source0:    https://github.com/boklm/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
BuildArch:  noarch
BuildRequires:  asciidoc
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl
# No tests are executed, run-time depdencies are not needed at build time.
# bash for /bin/sh defined in default configuration
Requires:       bash
Requires:       bzip2
# coreutils for mktemp, rm, uname
Requires:       coreutils
# debuild not yet packaged
Requires:       git-core
# gnupg for gpg defined in default configuration
Requires:       gnupg
Requires:       gzip
Requires:       man-db
Requires:       mercurial
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Exporter)
# redhat-lsb-core for lsb_release
Requires:       redhat-lsb-core
# rpm in default configuration
Requires:       rpm
# rpm-build for rpmbuild defined in default configuration
Requires:       rpm-build
# sudo in default configuration
Requires:       sudo
# tar in default configuration
Requires:       tar
# wget in default configuration
Requires:       wget
# yum in default configuration,
# migration to "dnf" proposed <https://github.com/boklm/rbm/issues/3>
Requires:       yum
Requires:       xz

%description
Reproducible Build Manager (rbm) is a tool that helps you create and build
packages for multiple Linux distributions, and automate the parts that can be
automated. It includes options to run the build in a defined environment to
allow reproducing the build.

%prep
%setup -qn %{name}-%{commit0}

%build
make sysconfigdir=%{_sysconfdir} bindir=%{_bindir} mandir=%{_mandir} \
    perldir=%{perl_vendorlib} %{?_smp_mflags}

%install
%make_install sysconfigdir=%{_sysconfdir} bindir=%{_bindir} mandir=%{_mandir} \
    perldir=%{perl_vendorlib} %{?_smp_mflags}

%files
%license COPYING
%doc NEWS README.md TODO
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man7/*

%changelog
* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.4-3.20151206gitd50b2a6
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-2.20151206gitd50b2a6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 09 2015 Petr Pisar <ppisar@redhat.com> - 0.4-1.20151206gitd50b2a6
- Git snapshot on 2015-12-06 packaged
- Correct typos
